<!-- -------------------- ./doc/askpass.html -------------------- -->

<!doctype html>
<html lang="fr">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <!-- Bootstrap CSS -->
  <link rel="icon" type="image/ico" href="<?php echo $this->FAVICO; ?>">
  <link rel="stylesheet" href="/pub/bootstrap/css/bootstrap.min.modified.css" >
  <link rel="stylesheet" href="/pub/fontawesome/css/all.css">
  <link rel="stylesheet" href="/pub/css/doc.css" >
  <title><?php echo $this->APPNAM; ?></title>
<script>
function AutoPop() {
 $('#passModal').modal('toggle')
}
</script>
</head>
<body onload="AutoPop()">

<div class="container-fluid topbanner">
<div class="row tophead2">
<div class="col">
<nav class="navbar navbar-expand-lg navbar-dark" >
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse justify-content-center" id="navbarNavDropdown">
    <ul class="navbar-nav">
      <li class="nav-item d-block d-sm-block d-md-block d-lg-none d-xl-none">
       <a class="nav-link" href="<?php echo $this->URL->GetMgmtMethod('Index'); ?>"><i class="fas fa-home"></i>&nbsp;Retour Accueil</a>
      </li>
      <li class="nav-item d-none d-sm-none d-md-none d-lg-block d-xl-block">
        <a class="nav-link text-center" href="<?php echo $this->URL->GetMgmtMethod('Index'); ?>"><i class="fas fa-home fa-2x"></i><br>Retour Accueil</a>
      </li>
    </ul>
  </div>
</nav>

</div>
</div>
</div>
<div id="toplogo" class="d-none d-sm-none d-md-none d-lg-block d-xl-bloc">
 <a href="index.html"><img id="logo2" src="/pub/img/logodoc2.png" height="60"></a> 
</div>
<div id="toplogo" class="d-block d-sm-block d-md-block d-lg-none d-xl-none">
 <a href="index.html"><img id="logo2" src="/pub/img/logodoc2.png" height="30"></a> 
</div>

<div class="container">

<br><br>  
 
<div class="alert alert-warning" role="alert">
<p>
 L'accès au porte-documents nécéssite un <a href="" onclick="AutoPop()" data-toggle="modal">mot de passe</a> .<br>
 Si vous ne l'avez pas, où l'avez perdu, veuillez le redemander à la personne qui vous a partagé ce porte-documents<br>
</p>
</div>

</div>

<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="/pub/jsext/jquery-3.3.1.min.js"></script>
<script src="/pub/jsext/popper.min.js"></script>
<script src="/pub/bootstrap/js/bootstrap.min.js"></script>

<!-- -------------------------------------------------------------------- -->

<!-- Passwd Modal -->
<div class="modal fade" id="passModal" tabindex="-1" role="dialog" aria-labelledby="passModal" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetDosMethod('SetAuth'); ?>" >
       <div class="modal-header">
        <h4 class="modal-title" id="passModal"><i class="fas fa-exclamation-circle"></i>&nbsp;PoDoc - Mot de passe</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="passModal">
	<p class="text-info">Veuillez saisir le mot de passe du porte-documents :</p> 
	<input name="DID" value="<?php echo $this->DID; ?>" type="hidden">
	<input id="PASSWD" name="PASSWD" type="password" size="40">
      </div>
      <div class="modal-footer">
	<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
	<button type="submit" class="btn btn-primary btn-sm"> OK </button>
      </div>
     </form>
    </div>
  </div>
</div>

<!-- -------------------------------------------------------------------- -->


</body>
</html>


